FLAC: FLAC::Metadata::SeekTable Class Reference

FLAC 1.3.3

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::SeekTable Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::SeekTable:

## Public Member Functions
| SeekTable (::FLAC__StreamMetadata *object, bool copy)
SeekTable & | assign (::FLAC__StreamMetadata *object, bool copy)
uint32_t | get_num_points () const
::FLAC__StreamMetadata_SeekPoint | get_point (uint32_t index) const
bool | resize_points (uint32_t new_num_points)
void | set_point (uint32_t index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | insert_point (uint32_t index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | delete_point (uint32_t index)
bool | is_legal () const
bool | template_append_placeholders (uint32_t num)
bool | template_append_point (FLAC__uint64 sample_number)
bool | template_append_points (FLAC__uint64 sample_numbers[], uint32_t num)
bool | template_append_spaced_points (uint32_t num, FLAC__uint64 total_samples)
bool | template_append_spaced_points_by_samples (uint32_t samples, FLAC__uint64 total_samples)
bool | template_sort (bool compact)
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| SeekTable (const SeekTable &object)
| SeekTable (const ::FLAC__StreamMetadata &object)
| SeekTable (const ::FLAC__StreamMetadata *object)
SeekTable & | operator= (const SeekTable &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const SeekTable &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const SeekTable &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

SEEKTABLE metadata block. See the overview for more, and the format specification.

## Constructor & Destructor Documentation

## ◆ SeekTable() [1/4]

FLAC::Metadata::SeekTable::SeekTable | ( | const SeekTable & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ SeekTable() [2/4]

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ SeekTable() [3/4]

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ SeekTable() [4/4]

FLAC::Metadata::SeekTable::SeekTable | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

## ◆ operator=() [1/3]

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const SeekTable & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [2/3]

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [3/3]

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ assign()

SeekTable& FLAC::Metadata::SeekTable::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

## ◆ operator==() [1/3]

bool FLAC::Metadata::SeekTable::operator== | ( | const SeekTable & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [3/3]

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::SeekTable::operator!= | ( | const SeekTable & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ resize_points()

bool FLAC::Metadata::SeekTable::resize_points | ( | uint32_t | new_num_points | ) |

See FLAC__metadata_object_seektable_resize_points()

## ◆ set_point()

void FLAC::Metadata::SeekTable::set_point | ( | uint32_t | index,
|  | const ::FLAC__StreamMetadata_SeekPoint & | point
| ) |  |

See FLAC__metadata_object_seektable_set_point()

## ◆ insert_point()

bool FLAC::Metadata::SeekTable::insert_point | ( | uint32_t | index,
|  | const ::FLAC__StreamMetadata_SeekPoint & | point
| ) |  |

See FLAC__metadata_object_seektable_insert_point()

## ◆ delete_point()

bool FLAC::Metadata::SeekTable::delete_point | ( | uint32_t | index | ) |

See FLAC__metadata_object_seektable_delete_point()

## ◆ is_legal()

bool FLAC::Metadata::SeekTable::is_legal | ( |  | ) | const

See FLAC__metadata_object_seektable_is_legal()

## ◆ template_append_placeholders()

bool FLAC::Metadata::SeekTable::template_append_placeholders | ( | uint32_t | num | ) |

See FLAC__metadata_object_seektable_template_append_placeholders()

## ◆ template_append_point()

bool FLAC::Metadata::SeekTable::template_append_point | ( | FLAC__uint64 | sample_number | ) |

See FLAC__metadata_object_seektable_template_append_point()

## ◆ template_append_points()

bool FLAC::Metadata::SeekTable::template_append_points | ( | FLAC__uint64 | sample_numbers[],
|  | uint32_t | num
| ) |  |

See FLAC__metadata_object_seektable_template_append_points()

## ◆ template_append_spaced_points()

bool FLAC::Metadata::SeekTable::template_append_spaced_points | ( | uint32_t | num,
|  | FLAC__uint64 | total_samples
| ) |  |

See FLAC__metadata_object_seektable_template_append_spaced_points()

## ◆ template_append_spaced_points_by_samples()

bool FLAC::Metadata::SeekTable::template_append_spaced_points_by_samples | ( | uint32_t | samples,
|  | FLAC__uint64 | total_samples
| ) |  |

See FLAC__metadata_object_seektable_template_append_spaced_points_by_samples()

## ◆ template_sort()

bool FLAC::Metadata::SeekTable::template_sort | ( | bool | compact | ) |

See FLAC__metadata_object_seektable_template_sort()

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protectedinherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and FLAC::Metadata::Unknown::assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protectedvirtualinherited

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:\n
  is_valid()

## ◆ get_type()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const
| inherited

Returns the type of the block.

Assertions:\n
  is_valid()

## ◆ get_length()

uint32_t FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:\n
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:\n
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |